Skip to main content
PUT
/
services
/
core
/
open_api
/
v1
/
staff_tasks
/
{id}
cURL
curl --request PUT \
  --url https://partner-api.getoliver.com/services/core/open_api/v1/staff_tasks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Client-Id: <x-client-id>' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "task_type": "task",
  "status": "pending",
  "client_id": "<string>",
  "patient_id": "<string>",
  "reference_time_at": "2023-11-07T05:31:56Z"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "task_type": "task",
    "status": "pending",
    "title": "<string>",
    "description": "<string>",
    "client_id": "<string>",
    "patient_id": "<string>",
    "cancellation_allowed": true,
    "override_completion_action_text": "<string>",
    "reference_time_at": "2023-11-07T05:31:56Z",
    "finalized_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Client-Id
string
required

The location id of the practice

Path Parameters

id
string
required

The ID of the staff task to update

Body

application/json

Fields to update on the staff task

title
string

The title of the task

description
string

A detailed description of the task

task_type
enum<string>

The type of staff task. Allowed values: task, rx_refill

Available options:
task,
rx_refill
status
enum<string>

The status of the task. Setting to completed or canceled will automatically set finalized_at. Setting back to pending will clear finalized_at.

Available options:
pending,
completed,
canceled
client_id
string

The ID of the client to associate with this task

patient_id
string

The ID of the patient to associate with this task

reference_time_at
string<date-time>

A reference timestamp for the task in ISO 8601 format

Response

Staff task updated

success
boolean
required
data
object
required
message
string